#Port
server:
    port: 9102

#Eureka
eureka:
    client:
        serviceUrl:
            defaultZone: http://discUser:discPassword@localhost:9101/eureka/

#Gateway
spring:
    application:
        name: gateway-service
    cloud:
        discovery:
            enabled: true
        gateway:
            default-filters:
                - TokenRelay
            globalcors:
                corsConfigurations:
                    '[/**]':
                        allowedOrigins: "http://localhost:4200/"
                        allowedMethods:
                            - GET
                            - POST
                            - DELETE
                            - PUT
                        add-to-simple-url-handler-mapping: true
    security:
        oauth2:
            client:
                provider:
                    keycloak:
                        issuer-uri: https://www.auth.myproject.ovh/auth/realms/portfolio
                        user-name-attribute: preferred_username
                registration:
                    keycloak:
                        client-id: portfolio-client
                        client-secret: 01e7163d-c98a-4335-9936-41152f13fed8
management:
    endpoint:
        health:
            show-details: always
        hystrix:
            stream:
                enabled: true
    endpoints:
        web:
            exposure:
                include: "*"
